import { createVNode as _createVNode, resolveComponent as _resolveComponent } from "vue";
import { defineComponent } from 'vue';
import { useVModel } from '@vueuse/core';
export var MyCheckbox = defineComponent({
  props: {
    items: Array,
    value: Array || undefined,
    disabled: {
      type: Boolean,
      "default": false
    }
  },
  setup: function setup(props, _ref) {
    var emit = _ref.emit;
    var selected = useVModel(props, 'value', emit);
    return function () {
      return _createVNode(_resolveComponent("a-checkbox-group"), {
        'value': selected.value,
        "onUpdate:value": function onUpdateValue($event) {
          return selected.value = $event;
        },
        "disabled": props.disabled,
        "options": props.items
      }, null);
    };
  }
});