import { createVNode as _createVNode, resolveComponent as _resolveComponent } from "vue";
import { defineComponent } from 'vue';
import { IconPark } from '@icon-park/vue-next/es/all';
import '@icon-park/vue-next/styles/index.css';
export var MyIcon = defineComponent({
  components: {
    IconPark: IconPark
  },
  props: {
    icon: {
      type: String
    },
    theme: {
      type: String,
      "default": 'outline'
    },
    size: {
      type: Number
    },
    spin: {
      type: Boolean,
      "default": false
    },
    fill: {
      type: String
    },
    "class": {
      type: String
    }
  },
  setup: function setup(props) {
    return function () {
      return _createVNode("span", {
        "class": 'anticon ' + props["class"]
      }, [_createVNode(_resolveComponent("icon-park"), {
        "theme": props.theme,
        "size": props.size,
        "type": props.icon,
        "fill": props.fill
      }, null)]);
    };
  }
});