import { createVNode as _createVNode, resolveComponent as _resolveComponent } from "vue";
import { useVModel } from '@vueuse/core';
import { defineComponent, Teleport } from 'vue';
export var MyModal = defineComponent({
  props: {
    show: {
      type: Boolean,
      "default": false
    },
    title: {
      type: String,
      "default": '弹窗'
    },
    width: {
      type: String,
      "default": '700px'
    },
    form: {
      type: Object
    }
  },
  setup: function setup(props, _ref) {
    var emit = _ref.emit;
    var show = useVModel(props, 'show', emit);

    var onCancel = function onCancel() {
      show.value = false;
    };

    return function () {
      return _createVNode(Teleport, {
        "to": "#app"
      }, {
        "default": function _default() {
          return [_createVNode(_resolveComponent("a-modal"), {
            "title": props.title,
            "visible": show.value,
            "footer": null,
            "width": props.width,
            "maskClosable": false,
            "keyboard": false,
            "destroyOnClose": true,
            "onCancel": onCancel
          }, {
            "default": function _default() {
              return [props.form];
            }
          })];
        }
      });
    };
  }
});