"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.MyCheckbox = void 0;

var _vue = require("vue");

var _core = require("@vueuse/core");

var MyCheckbox = (0, _vue.defineComponent)({
  props: {
    items: Array,
    value: Array || undefined,
    disabled: {
      type: Boolean,
      "default": false
    }
  },
  setup: function setup(props, _ref) {
    var emit = _ref.emit;
    var selected = (0, _core.useVModel)(props, 'value', emit);
    return function () {
      return (0, _vue.createVNode)((0, _vue.resolveComponent)("a-checkbox-group"), {
        'value': selected.value,
        "onUpdate:value": function onUpdateValue($event) {
          return selected.value = $event;
        },
        "disabled": props.disabled,
        "options": props.items
      }, null);
    };
  }
});
exports.MyCheckbox = MyCheckbox;