"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.MyLogin = void 0;

var _vue = require("vue");

var _use = require("@ant-design-vue/use");

require("./login.less");

var MyLogin = (0, _vue.defineComponent)({
  props: {
    loading: {
      type: Boolean,
      "default": false
    },
    onChange: {
      type: undefined
    }
  },
  setup: function setup(props, _ref) {
    var emit = _ref.emit;
    var form = {
      models: (0, _vue.reactive)({
        username: undefined,
        password: undefined
      }),
      rules: (0, _vue.reactive)({
        username: [{
          required: true,
          min: 3,
          max: 15,
          trigger: 'change',
          type: 'string',
          message: '请输入账户名！3-15位！'
        }],
        password: [{
          required: true,
          min: 6,
          trigger: 'change',
          type: 'string',
          message: '请输入密码！最低6位数！'
        }]
      })
    };

    var _useForm = (0, _use.useForm)(form.models, form.rules),
        validate = _useForm.validate,
        validateInfos = _useForm.validateInfos;

    var onSubmit = function onSubmit(e) {
      e.preventDefault();
      validate().then(function () {
        emit('change', form.models);
      });
    };

    return function () {
      return (0, _vue.createVNode)("div", {
        "class": "loginBody"
      }, [(0, _vue.createVNode)("div", {
        "class": "loginContent"
      }, [(0, _vue.createVNode)("div", {
        "class": "loginForm"
      }, [(0, _vue.createVNode)("div", {
        "class": "login_left"
      }, null), (0, _vue.createVNode)("div", {
        "class": "login_right"
      }, [(0, _vue.createVNode)("div", {
        "class": "title"
      }, [(0, _vue.createTextVNode)("\u7BA1\u7406\u5458\u767B\u5F55")]), (0, _vue.createVNode)("div", null, [(0, _vue.createVNode)((0, _vue.resolveComponent)("a-form"), {
        "wrapperCol": {
          span: 24
        }
      }, {
        "default": function _default() {
          return [(0, _vue.createVNode)((0, _vue.resolveComponent)("a-form-item"), validateInfos['username'], {
            "default": function _default() {
              return [(0, _vue.createVNode)((0, _vue.resolveComponent)("a-input"), {
                "placeholder": "登录账号",
                'value': form.models.username,
                "onUpdate:value": function onUpdateValue($event) {
                  return form.models.username = $event;
                },
                "size": "large",
                "addonBefore": function addonBefore() {
                  return (0, _vue.createVNode)("div", {
                    "style": "height:21px;"
                  }, [(0, _vue.createVNode)((0, _vue.resolveComponent)("my-icon"), {
                    "icon": "user",
                    "size": 19,
                    "color": "#f00"
                  }, null)]);
                }
              }, null)];
            }
          }), (0, _vue.createVNode)((0, _vue.resolveComponent)("a-form-item"), validateInfos['password'], {
            "default": function _default() {
              return [(0, _vue.createVNode)((0, _vue.resolveComponent)("a-input"), {
                "type": "password",
                "size": "large",
                "placeholder": "登录密码",
                'value': form.models.password,
                "onUpdate:value": function onUpdateValue($event) {
                  return form.models.password = $event;
                },
                "addonBefore": function addonBefore() {
                  return (0, _vue.createVNode)("div", {
                    "style": "height:21px;"
                  }, [(0, _vue.createVNode)((0, _vue.resolveComponent)("my-icon"), {
                    "icon": "lock",
                    "size": 19,
                    "color": "gray"
                  }, null)]);
                }
              }, null)];
            }
          }), (0, _vue.createVNode)((0, _vue.resolveComponent)("a-form-item"), null, {
            "default": function _default() {
              return [(0, _vue.createVNode)((0, _vue.resolveComponent)("a-button"), {
                "type": "primary",
                "size": "large",
                "style": "width:100%",
                "html-type": "submit",
                "loading": props.loading,
                "onClick": onSubmit
              }, {
                "default": function _default() {
                  return [(0, _vue.createTextVNode)("\u767B\u5F55")];
                }
              })];
            }
          })];
        }
      })])])])])]);
    };
  }
});
exports.MyLogin = MyLogin;