"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.MyTreeSelect = void 0;

var _vue = require("vue");

var _core = require("@vueuse/core");

var shoekey = {
  title: 'label',
  key: 'id',
  value: 'id',
  children: 'children'
};
var MyTreeSelect = (0, _vue.defineComponent)({
  props: {
    items: Array,
    showkey: {
      type: Object,
      "default": shoekey
    },
    value: [Number, String],
    placeholder: {
      type: String,
      "default": '请选择'
    },
    allowClear: {
      type: Boolean,
      "default": false
    },
    width: {
      type: String,
      "default": '200px'
    }
  },
  setup: function setup(props, _ref) {
    var emit = _ref.emit;
    var selected = (0, _core.useVModel)(props, 'value', emit);
    var dro = (0, _vue.ref)({
      maxHeight: '500px',
      overflow: 'auto'
    });
    return function () {
      return (0, _vue.createVNode)((0, _vue.resolveComponent)("a-tree-select"), {
        'value': selected.value,
        "onUpdate:value": function onUpdateValue($event) {
          return selected.value = $event;
        },
        "replaceFields": props.showkey,
        "dropdown-style": dro.value,
        "tree-data": props.items,
        "allowClear": props.allowClear,
        "placeholder": props.placeholder,
        "tree-default-expand-all": true,
        "style": {
          width: props.width
        }
      }, null);
    };
  }
});
exports.MyTreeSelect = MyTreeSelect;